// Code generated by mockery v2.10.4. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	dao "gitlab.informatika.org/rahmahkn/if3250_2022_03_ensiklo/internal/app/model/dao"
)

// UserRepo is an autogenerated mock type for the UserRepo type
type UserRepo struct {
	mock.Mock
}

// CreateUser provides a mock function with given fields: user
func (_m *UserRepo) CreateUser(user dao.User) (dao.User, error) {
	ret := _m.Called(user)

	var r0 dao.User
	if rf, ok := ret.Get(0).(func(dao.User) dao.User); ok {
		r0 = rf(user)
	} else {
		r0 = ret.Get(0).(dao.User)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(dao.User) error); ok {
		r1 = rf(user)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetUser provides a mock function with given fields: id
func (_m *UserRepo) GetUser(id uint64) (dao.User, error) {
	ret := _m.Called(id)

	var r0 dao.User
	if rf, ok := ret.Get(0).(func(uint64) dao.User); ok {
		r0 = rf(id)
	} else {
		r0 = ret.Get(0).(dao.User)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint64) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetUserByEmail provides a mock function with given fields: email
func (_m *UserRepo) GetUserByEmail(email string) (dao.User, error) {
	ret := _m.Called(email)

	var r0 dao.User
	if rf, ok := ret.Get(0).(func(string) dao.User); ok {
		r0 = rf(email)
	} else {
		r0 = ret.Get(0).(dao.User)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(email)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// UpdateUser provides a mock function with given fields: userId, updateMap
func (_m *UserRepo) UpdateUser(userId uint, updateMap map[string]interface{}) (dao.User, error) {
	ret := _m.Called(userId, updateMap)

	var r0 dao.User
	if rf, ok := ret.Get(0).(func(uint, map[string]interface{}) dao.User); ok {
		r0 = rf(userId, updateMap)
	} else {
		r0 = ret.Get(0).(dao.User)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint, map[string]interface{}) error); ok {
		r1 = rf(userId, updateMap)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
